package agilpizza.modelo.pizza;

import java.util.HashMap;
import java.util.Map;

public class PizzasTradicionaisDAO {
	private Map<String, Pizza> nomesPizzas;
	private Pizza port, quatroQueijos, romana, calabreza, vegetariana, frango,
			marguerita, mussarela, brasil;
	private CategoriaDAO categoriaDAO = new CategoriaDAO();

	public Map<String, Pizza> getNomesPizzas() {
		nomesPizzas = new HashMap<String, Pizza>();
		criarPizzas();
		nomesPizzas.put(port.getNome(), port);
		nomesPizzas.put(quatroQueijos.getNome(), quatroQueijos);
		nomesPizzas.put(romana.getNome(), romana);
		nomesPizzas.put(calabreza.getNome(), calabreza);
		nomesPizzas.put(vegetariana.getNome(), vegetariana);
		nomesPizzas.put(frango.getNome(), frango);
		nomesPizzas.put(marguerita.getNome(), marguerita);
		nomesPizzas.put(mussarela.getNome(), mussarela);
		nomesPizzas.put(brasil.getNome(), brasil);
		return nomesPizzas;
	}

	private void criarPizzas() {
		port = new Pizza();
		quatroQueijos = new Pizza();
		romana = new Pizza();
		calabreza = new Pizza();
		vegetariana = new Pizza();
		frango = new Pizza();
		marguerita = new Pizza();
		mussarela = new Pizza();
		brasil = new Pizza();
		port.setNome("Portuguesa");
		port.adicionarIngrediente(categoriaDAO.buscarIngrediente("Queijos",
				"Mussarela"));
		port.adicionarIngrediente(categoriaDAO.buscarIngrediente("Outros",
				"Ovo"));
		port.adicionarIngrediente(categoriaDAO.buscarIngrediente("Vegetais",
				"Cebola"));
		port.adicionarIngrediente(categoriaDAO.buscarIngrediente("Carnes",
				"Presunto"));
		quatroQueijos.setNome("Quatro Queijos");
		quatroQueijos.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Mussarela"));
		quatroQueijos.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Catupiry"));
		quatroQueijos.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Gorgonzola"));
		quatroQueijos.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Parmesão"));
		romana.setNome("Romana");
		romana.adicionarIngrediente(categoriaDAO.buscarIngrediente("Carnes",
				"Presunto"));
		romana.adicionarIngrediente(categoriaDAO.buscarIngrediente("Queijos",
				"Mussarela"));
		calabreza.setNome("Calabreza");
		calabreza.adicionarIngrediente(categoriaDAO.buscarIngrediente("Carnes",
				"Calabresa"));
		calabreza.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Vegetais", "Cebola"));
		vegetariana.setNome("Vegetariana");
		vegetariana.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Mussarela"));
		vegetariana.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Vegetais", "Shimeji"));
		vegetariana.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Vegetais", "Berinjela"));
		frango.setNome("Frango com Catupiry");
		frango.adicionarIngrediente(categoriaDAO.buscarIngrediente("Carnes",
				"Frango"));
		frango.adicionarIngrediente(categoriaDAO.buscarIngrediente("Queijos",
				"Catupiry"));
		frango.adicionarIngrediente(categoriaDAO.buscarIngrediente("Vegetais",
				"Cebola"));
		marguerita.setNome("Marguerita");
		marguerita.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Mussarela"));
		marguerita.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Vegetais", "Tomate"));
		mussarela.setNome("Mussarela");
		mussarela.adicionarIngrediente(categoriaDAO.buscarIngrediente(
				"Queijos", "Mussarela"));
		brasil.setNome("Brasileira");
		brasil.adicionarIngrediente(categoriaDAO.buscarIngrediente("Queijos",
				"Mussarela"));
		brasil.adicionarIngrediente(categoriaDAO.buscarIngrediente("Carnes",
				"Presunto"));
		brasil.adicionarIngrediente(categoriaDAO.buscarIngrediente("Queijos",
				"Catupiry"));
	}
}
